AIR 3.3 now supports iOS SDK 5.1

iOS 5The latest release of AIR SDK (version 3.3) now supports iOS 5.1 SDK. AIR 3.3 SDK includes stubs of all the frameworks and the public libraries available in iOS 5.1 SDK. Frameworks that have been added as stubs in the AIR 3.3 SDK are Accounts, Twitter, NewsstandKit, CoreBluetooth, CoreImage, GSKit and GLKit. Some of the public libraries whose stubs have been added into the AIR SDK are libxml2.dylib, libsqlite3.dylib, libAWDProtocolbuf.dylib and many more. This change relieves the AIR developer of the following requirements:-

  • One no longer needs to use the -platformsdk option in the adt packaging command to link to frameworks and libraries available in iOS 5.1 SDK. Using the -platformsdk option was earlier required when the native extension were using any functionality which are either available only in iOS 5.0 SDK or higher. It was also required earlier when native extensions required frameworks or public libraries which were not available in AIR SDK.
  • One no longer needs to use the -platformsdk option in the adt packaging command to utilize the retina support for the new iPad. Since it is mandatory for the application to be built using the 5.1 SDK to utilize the retina display capabilities of new iPad, one now just requires to set the requestedDisplayResolution tag in the application descriptor to high.

2 Responses to AIR 3.3 now supports iOS SDK 5.1

  1. Mikael says:

    Is there any docs on this? for example usage of the CoreBluetooth.??

  2. Mikael says:

    Where can i find doc´s on the corebluetooth functionality?